## telepathy-msn-pecan 0.1.0~rc2-0maemo4

=== Makefile ===
targets := pecan/libmsn-pecan.so \
	   tp-haze/telepathy-pecan \
	   tp-extras/libpecan-plugin.so

modules := purple pecan tp-haze tp-extras

all: $(targets)

export PKG_CONFIG_PATH=$(PWD):$(PWD)/purple/nss-fix

pecan/libmsn-pecan.so: purple/libpurple-mini-2.so
	$(MAKE) -C pecan

purple/libpurple-mini-2.so:
	$(MAKE) -C purple DESTDIR=$(PWD)/tmp install
	sed -e 's#@fake_prefix@#$(PWD)/tmp/usr#' \
		purple-mini-2.pc.in > \
		purple-mini-2.pc

tp-haze/telepathy-pecan: purple/libpurple-mini-2.so
	$(MAKE) -C tp-haze

tp-extras/libpecan-plugin.so:
	$(MAKE) -C tp-extras

install: $(targets)
	for x in $(modules); do \
		$(MAKE) -C $$x $@; \
	done

.PHONY: $(targets) clean

clean:
	for x in $(modules); do \
		$(MAKE) -C $$x $@; \
	done

=== tp-haze/Makefile ===
CC := $(CROSS_COMPILE)gcc

PURPLE_CFLAGS := $(shell pkg-config --cflags purple-mini-2)
PURPLE_LIBS := $(shell pkg-config --libs purple-mini-2)

TP_CFLAGS := $(shell pkg-config --cflags telepathy-glib)
TP_LIBS := $(shell pkg-config --libs telepathy-glib)

GOBJECT_CFLAGS := $(shell pkg-config --cflags gobject-2.0)
GOBJECT_LIBS := $(shell pkg-config --libs gobject-2.0)

DBUS_GLIB_CFLAGS := $(shell pkg-config --cflags dbus-glib-1)
DBUS_GLIB_LIBS := $(shell pkg-config --libs dbus-glib-1)

CFLAGS := -O2 -ggdb -Wall

prefix := /usr

datadir := $(prefix)/share
libexecdir := $(prefix)/lib/telepathy

objects := connection-aliasing.o \
           connection-avatars.o \
           connection.o \
           connection-presence.o \
           connection-manager.o \
           contact-list.o \
           contact-list-channel.o \
           debug.o \
           im-channel.o \
           im-channel-factory.o \
           main.o \
           notify.o \
           request.o

app := telepathy-pecan
service := org.freedesktop.Telepathy.ConnectionManager.pecan.service

.PHONY: clean

all:

# pretty print
V = @
Q = $(V:y=)
QUIET_CC    = $(Q:@=@echo '   CC         '$@;)
QUIET_LINK  = $(Q:@=@echo '   LINK       '$@;)
QUIET_CLEAN = $(Q:@=@echo '   CLEAN      '$@;)

D = $(DESTDIR)

$(app): $(objects)
$(app): CFLAGS := $(CFLAGS) $(PURPLE_CFLAGS) $(TP_CFLAGS) $(GOBJECT_CFLAGS) $(DBUS_GLIB_CFLAGS) \
	-DG_LOG_DOMAIN='"pecan"' -DPACKAGE_VERSION='"0.3.2"'
$(app): LIBS := $(LIBS) $(PURPLE_LIBS) $(TP_LIBS) $(GOBJECT_LIBS) $(DBUS_GLIB_LIBS)
$(app): LDFLAGS := $(LDFLAGS) -Wl,--no-undefined

all: $(app)

$(app):
	$(QUIET_LINK)$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

%.o:: %.c
	$(QUIET_CC)$(CC) $(CFLAGS) -MMD -o $@ -c $<

clean:
	$(QUIET_CLEAN)$(RM) $(app) data/$(service) *.o *.d

data/$(service): data/org.freedesktop.Telepathy.ConnectionManager.haze.service.in
	sed -e 's#@libexecdir@#$(libexecdir)#g' \
		-e 's#@app@#$(app)#g' \
		-e 's#haze#pecan#' $< > $@

install: $(app) data/$(service)
	mkdir -p $(D)/$(datadir)/dbus-1/services
	install -m 664 data/$(service) $(D)/$(datadir)/dbus-1/services
	mkdir -p $(D)/$(libexecdir)
	install -m 755 $(app) $(D)/$(libexecdir)

uninstall:
	$(RM) $(D)/$(datadir)/dbus-1/services/$(service)
	$(RM) $(D)/$(libexecdir)/$(app)

-include *.d

=== debian/changelog ===
telepathy-msn-pecan (0.1.0~rc2-0maemo4) unstable; urgency=low

  * Random improvements for maemo-extras

 -- Felipe Contreras <felipe.contreras@gmail.com>  Wed, 30 Dec 2009 16:51:21 +0200

telepathy-msn-pecan (0.1.0~rc2-0maemo3) unstable; urgency=low

  * Improve debug logging stuff

 -- Felipe Contreras <felipe.contreras@gmail.com>  Tue, 29 Dec 2009 20:10:28 +0200

telepathy-msn-pecan (0.1.0~rc2-0maemo2) unstable; urgency=low

  * Fix wrong libmsn-pecan.so location
  * Fix conflict with account-plugin-haze

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sun, 27 Dec 2009 00:49:45 +0200

telepathy-msn-pecan (0.1.0~rc2-0maemo1) unstable; urgency=low

  * Initial release

 -- Felipe Contreras <felipe.contreras@gmail.com>  Thu, 24 Dec 2009 01:57:42 +0200

=== debian/control ===
Source: telepathy-msn-pecan
Section: user/network
Priority: extra
Maintainer: Felipe Contreras <felipe.contreras@gmail.com>
Build-Depends: debhelper (>= 5), librtcom-accounts-widgets-dev,
 libglade2-dev, libnss3-dev
Standards-Version: 3.8.0

Package: telepathy-msn-pecan
Architecture: any
Depends: ${shlibs:Depends}
Description: MSN protocol plug-in that uses msn-pecan
XB-Maemo-Display-Name: MSN (pecan) protocol plug-in
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgIfAhkiAAAABl0RVh0
 U29mdHdhcmUAd3d3Lmlua3NjYXBlLm9yZ5vuPBoAAApsSURBVGiB7Zl5bFzVFca/c98682Y8i2e8
 xrHHJrFTQtIsLC20SSQEpVmkttSVCiQtrVApbVGpSgGBaFWKYuiSkhZUQFCoVCoqUSgJUIpISWnK
 kt1JnN2OE9tjezzj2d+87faP2Ikdjyd2ALlIHOnoPemde9/3O7rLue8R5xwfZ2MzLeCD2icAM22f
 AMy0iTMtYKztuImqJcJtHPg6I0RtYD/n+MOiZ/n2ydrQ/8MyeqCVPKYLT4JJa4KhGlbmr1Acx4ah
 ZxHtOZqxHPvqJc/yd4u1nXGA3TfQHBLxut9fWVVR26RSZgg8FQU4B3xV0AU3urva05Zjz1/yDO8+
 t/2MzoFd6+hqiGxn9azm2ZWVdSo/uRtO/yHwfBJcT4H3H4YLJvzBKlFw8KVifcwYwK61tIyBXmxo
 mOcpkwTmdO8EjNyEOJ4egKb5XYzh+mL9zAjAjrV0OQM2za5v0VRGcKIdAHeKxvJ8Ei7NBw5aVOz5
 mVWoafXDczjwHDhvJKKTDvhfBG69fHTTPfs+TPG7b6A5gojX62bN9bgkCU7PvtPjfTLjHIwInBdP
 tng2znm4YXblomAwwJLpXCAxnJqbSKTujqxqS8Ome7quyP+J339/8TRN0f71TVL9Al6trWnyuF0a
 nJ69k2Z+HAM4iKho4Fiqy8KhIEtkDEiKgsaGWnXp4nne+oa6Gsklboxsd3U1rFz/FSLQhQIEHDzh
 D9fVeL1+5vS0A459/kZMgGNbAJFxHgDudThQMG0MDufR2ZdEfzyH8oAXixc2e2fX19bJkvR046qH
 OpquW3/pdMXv+gatFVXPlysr61xOzz7AsabUjhQPzEIOTFI6SwIQ0d50NgdVPrs5Z3UT3f0p9MYy
 KA+UYeGCud5AKNzMBbalaWVb29Klj0tTEn8jfYo4e2z27BY3Bo4CVmFK4gEAigYjn+UkuXeWBADH
 G8lk1vR5lAlB+YKF7v4UUlkDcyOViFxUr4mqclu8KnGgcXXbwlLv37uWNCbgldqaRpdkZsHTA1MX
 D4AUL3KGnocolgawwJ8ZGIyZIgPcSvESKZ7W0d2fQrlPw7yWiOYrDzVxjm1NK9tuHxvX2toqjN47
 hI1l3kCV11dOTv/haYkHMcDtRzo9JAgkvlES4MSmu45zjld6+2JWyO+etM+CaaMrmoRpOWhprKK6
 hjo3BOEXjWvaHhmd4OqJ4JZ1n7n10e030XJBEFsrZ7UQ+g8a4M60VjFy+1HIZ0Bg8Xm/PXmkJAAA
 cHLu64kOmMQ5gl510o45BwYSOfQOZVEb9qG5JaJJknRzZNVDL8754kYFjFTu8FveiV32Um3dPJOy
 gynLypEjMuKyCMgSIAqAwAAqsah5QkinhizBE35pspBxAJ1/v/sgt7Gx49CJXLlPhWuSoTRqOd3E
 8b4kZEnEwosbZbdGX5ACnXEnGJ/lLdOEHfEFnsG823KYzRyJiczjIVJFcNkBVwAoDFBFQJEAWQIX
 GDiBA7ABgLRyJNMJQ/BVPD8lAADo0hrv0XV9f2d31KoNeSAKpasNx+HoiSW5wXPi4sU1sqZUuTNy
 ebXDbaheN15oD3lR0eBhHjdxyQSXdEC2AdkGly1wyQSXTXDZArlUOJIAMOShlqUsh+uWodvNbPVb
 Uwbgz3/VdhysiUZj6f5YEvVVZZDFUhAOZNmklJEkLmWxYKkbfWIIeaMAj6axw8PVcneSiUJ5A7hU
 AJcx3hUAMgCZg8sWmKaRIcHFArWZVGrIkryhf6BEBVBUWefmH0cZp2u6Ok8me6NxXl9VNm5/GGuS
 bEFy6YCURH+mB1zKoHmFgLwtwLJsuDwa/W2blygUARQCFJx2+ayfgZEMkOoClyXi/monHushZdbF
 j5bI3uTV6LHNd26HTZefOtkbO3FqwKqr8CLgVcbNOUkyIKp5kJSFIOsQZR0JvQ+hMGA2EbJ6AZqm
 4Vg8RL3pMpDHPy7zZ7I/Bop8fkiNS5FMDbod0EDTnW9MOnxKAgDA8VfvPMRMa0lf3+DJ9gPHM25Z
 QEOVDy5FBBMMiGoBTM5CHBEvyDog5jFsRlGzgiGXLQBEUDQ3/vn2MFj4knGZxxkQAfCHQXULYfpm
 IXqym0W7Ozye5mX3Aii59E7pSDm/9WdyLuP6CRi/q6IqJDXWhcEUQzSQIJ0nYLMUJEWHpOahuHT4
 vRJI96L38TxqVBckSUQ2HsWG+xRYvX8+vXSSCsZUQPYBog/52DBSvQPIROPwL78Kw75414KVe5oB
 FC3ipgUwak1r2mY7nD0G2NeGQpIQqpRRUcPh8ZogZoJTARwFDPQBB3e7sHDpVsgvRxAKVCA5FMXN
 16Uxf0ESVnoQZk6Hlckjn8ggcyoBuVyEtqAKZYsbwLRLsP+tjbErbuTh82m6oEP9tRuqbqlQrnyk
 tzek9Byqhm2KEBQDomRBVAyEI6fQcOk++KoHMbz+81Bj9eDcQQ3fi1WRrRA9BNGvQAq4IFeWwTVX
 heBOgtsxgHMo5Xdg92sPmp9dx+Xzabmg70KKFt8VqDiit6zoUhLmqZKx2tfakfplEEF/OY4ONaDx
 p1fCTj8FznMAz4A7MQAOHHNsKwFgpbbos3ZBZ2LVNDuiw6ckDZVgVDoHUiQB5aIU8nkdIPC+E50g
 MQxux8GdHCbMUVLAHRMAz39kAM9/l2cKVuaJ3r5ePSjVnTe+/KbDyOppOJbAO3fv1EX3ChArXjAS
 U+FYOhghOxUtF/xVQtDNnx/vOmorPAi3ECgZS5UpVK/rhSPYdmwgt2uop92UvKuLCxLCMAvDANA3
 FR0XDPDCbXzI4vaDe9p35sJyE1ShbNJYm5vwLdKRXvvclvf269/v6XjTsG0/RNeSiYLkCLKJbos7
 2PSRAhARe+lb+q+GE8Nb2zv2FCqVuVCZt3gsCJxz2IYtPPLXvvTew/bdR95/IU/KCgjqp8dFCnIz
 4tFOYyiFN4novPqmDUBEAhGpADwAPO/+pnBrfzR26tCxdqtSbYZPqp7QRiAZNjdhWxABhL/zALb/
 d/vgrw5ue0Zn6nJI2goQ0yBpy5FLJ3km0Tnw7QdwAICHiNRSINMCICIRp6sWdcRd0YOgPU/ba7uP
 D3Tt2PteQWMhVKnNEOns2VokCflcwc7G7DiAcgDBH7Th7Xd2Dj7Z8e+nCulUwJEDd6BgNuLYrs2F
 Le/j9v5+yGPeoxKRMFHRNDcyIjqnkjlbV7rK4Vl2r7LeGxKvmDd/jhr21iJrx5E2BxCUZ2PfzuP5
 t//Y87sjr1l7cbo8MAAYN65Efeu1aA365c8VDOPw7gP4/Y9+jddHnhfGxBY45+YETdMEEDGhHBvv
 V90hXh9sYd/zh9xSJBKR/Z4QuClg63+2GK/8sLDWyKCA0ycuC4A54kZFEDQQR2Ys3Dme50XETruU
 GBmPo5mXxlzPeCAC39JbpFvdIboGRF7ihIH91oZtG6zNADhO717OGJCxMGegxgifkPkLBjgHZHRO
 SCP3oy6MOIssEysLOcvufR/DI015EYhzQQoADM75eT/ffWh/aEaAhHOcjbmO1jbnCndGhNsAnGLD
 pOR7Z/oX0we1j/1v1k8AZto+9gD/AxuCf3/EH1fzAAAAAElFTkSuQmCC

Package: telepathy-msn-pecan-dbg
Architecture: any
Depends: telepathy-msn-pecan (= ${binary:Version})
Description: Debugging symbols for telepathy-msn-pecan

=== debian/rules ===
#!/usr/bin/make -f

build:
	dh_testdir
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_strip --dbg-package=telepathy-msn-pecan-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-arch binary install

## telepathy-msn-pecan 0.1.0~rc2-0maemo5

=== debian/changelog ===
telepathy-msn-pecan (0.1.0~rc2-0maemo5) fremantle; urgency=high

  * Add .manager file due to old telepathy-glib; fixes problems on PR1.0
  * Don't rely on mission-control settings; sometimes they are reset
  * Manually update icons; seems to be required on PR1.0

 -- Felipe Contreras <felipe.contreras@gmail.com>  Tue, 05 Jan 2010 20:23:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: telepathy-msn-pecan
-Section: user/network
-Priority: extra
+Priority: optional
 Maintainer: Felipe Contreras <felipe.contreras@gmail.com>
 Build-Depends: debhelper (>= 5), librtcom-accounts-widgets-dev,
  libglade2-dev, libnss3-dev
 Standards-Version: 3.8.0
+XSBC-Bugtracker: http://code.google.com/p/msn-pecan/issues/
 
 Package: telepathy-msn-pecan
-Architecture: any
+Architecture: armel
+Section: user/network
 Depends: ${shlibs:Depends}
 Description: MSN protocol plug-in that uses msn-pecan
 XB-Maemo-Display-Name: MSN (pecan) protocol plug-in
@@ -63,6 +64,7 @@
  pOR7Z/oX0we1j/1v1k8AZto+9gD/AxuCf3/EH1fzAAAAAElFTkSuQmCC
 
 Package: telepathy-msn-pecan-dbg
-Architecture: any
+Section: debug
+Architecture: armel
 Depends: telepathy-msn-pecan (= ${binary:Version})
 Description: Debugging symbols for telepathy-msn-pecan

## telepathy-msn-pecan 0.1.0~rc2-0maemo6

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 	   tp-extras/libpecan-plugin.so
 
 modules := purple pecan tp-haze tp-extras
+prefix := /usr
 
 all: $(targets)
 
@@ -13,7 +14,8 @@
 
 purple/libpurple-mini-2.so:
 	$(MAKE) -C purple DESTDIR=$(PWD)/tmp install
-	sed -e 's#@fake_prefix@#$(PWD)/tmp/usr#' \
+	sed -e 's#@fake_prefix@#$(PWD)/tmp#' \
+		-e 's#@prefix@#$(prefix)#' \
 		purple-mini-2.pc.in > \
 		purple-mini-2.pc

=== purple/Makefile ===
CC := $(CROSS_COMPILE)gcc

PLATFORM := $(shell $(CC) -dumpmachine | cut -f 3 -d -)

GOBJECT_CFLAGS := $(shell pkg-config --cflags gobject-2.0 gmodule-2.0)
GOBJECT_LIBS := $(shell pkg-config --libs gobject-2.0 gmodule-2.0)

LIBXML_CFLAGS := $(shell pkg-config --cflags libxml-2.0)
LIBXML_LIBS := $(shell pkg-config --libs libxml-2.0)

ifeq ($(PLATFORM),mingw32)
GTHREAD_CFLAGS := $(shell pkg-config --cflags gthread-2.0)
GTHREAD_LIBS := $(shell pkg-config --libs gthread-2.0)
endif

NSS_CFLAGS := $(shell pkg-config --cflags nss)
NSS_LIBS := $(shell pkg-config --libs nss)

CFLAGS := -O2 -ggdb -Wall

module := purple-mini-2
prefix := /usr

datadir := $(prefix)/share
libdir := $(prefix)/lib
sysconfdir := $(prefix)/etc
ssl_dir := /etc/certs/common-ca
plugindir := $(prefix)/lib/$(module)
includedir := $(prefix)/include/lib$(module)

ifneq ($(PLATFORM),mingw32)
override CFLAGS += -DBR_PTHREADS=0 \
	-DDATADIR=\"$(datadir)\" \
	-DLIBDIR=\"$(plugindir)\" \
	-DLOCALEDIR=\"$(datadir)/locale\" \
	-DSYSCONFDIR=\"$(sysconfdir)\" \
	-DSSL_CERTIFICATES_DIR=\"$(ssl_dir)\"
endif

override CFLAGS += -DPURPLE_PLUGINS -DHAVE_SSL

objects = account.o \
	  accountopt.o \
	  blist.o \
	  buddyicon.o \
	  certificate.o \
	  cipher.o \
	  circbuffer.o \
	  cmds.o \
	  connection.o \
	  conversation.o \
	  core.o \
	  debug.o \
	  eventloop.o \
	  ft.o \
	  idle.o \
	  imgstore.o \
	  log.o \
	  media.o \
	  mediamanager.o \
	  mime.o \
	  nat-pmp.o \
	  network.o \
	  ntlm.o \
	  notify.o \
	  plugin.o \
	  pluginpref.o \
	  pounce.o \
	  prefs.o \
	  privacy.o \
	  proxy.o \
	  prpl.o \
	  request.o \
	  roomlist.o \
	  savedstatuses.o \
	  server.o \
	  signals.o \
	  smiley.o \
	  dnsquery.o \
	  dnssrv.o \
	  status.o \
	  stringref.o \
	  stun.o \
	  sound.o \
	  sound-theme.o \
	  sound-theme-loader.o \
	  sslconn.o \
	  theme.o \
	  theme-loader.o \
	  theme-manager.o \
	  upnp.o \
	  util.o \
	  value.o \
	  version.o \
	  xmlnode.o \
	  whiteboard.o

headers := account.h \
	   accountopt.h \
	   blist.h \
	   buddyicon.h \
	   certificate.h \
	   cipher.h \
	   circbuffer.h \
	   cmds.h \
	   connection.h \
	   conversation.h \
	   core.h \
	   dbus-maybe.h \
	   debug.h \
	   desktopitem.h \
	   eventloop.h \
	   ft.h \
	   gaim-compat.h \
	   idle.h \
	   imgstore.h \
	   log.h \
	   media.h \
	   media-gst.h \
	   mediamanager.h \
	   mime.h \
	   nat-pmp.h \
	   network.h \
	   notify.h \
	   ntlm.h \
	   plugin.h \
	   pluginpref.h \
	   pounce.h \
	   prefs.h \
	   privacy.h \
	   proxy.h \
	   prpl.h \
	   request.h \
	   roomlist.h \
	   savedstatuses.h \
	   server.h \
	   signals.h \
	   smiley.h \
	   dnsquery.h \
	   dnssrv.h \
	   status.h \
	   stringref.h \
	   stun.h \
	   sound.h \
	   sound-theme.h \
	   sound-theme-loader.h \
	   sslconn.h \
	   theme.h \
	   theme-loader.h \
	   theme-manager.h \
	   upnp.h \
	   util.h \
	   valgrind.h \
	   value.h \
	   xmlnode.h \
	   whiteboard.h

headers += version.h

ifeq ($(PLATFORM),mingw32)
objects += win32/giowin32.o \
	   win32/libc_interface.o \
	   win32/win32dep.o
else
objects += desktopitem.o
endif

ifeq ($(PLATFORM),mingw32)
  SHLIBEXT := dll
  override CFLAGS += -I. -I./win32
  LIBS := -lintl -lws2_32 $(GTHREAD_LIBS)
else
  SHLIBEXT := so
  override CFLAGS += -fPIC
  LIBS := -lresolv
endif

target := lib$(module).$(SHLIBEXT)
plugins :=

.PHONY: all clean version.h

all:

# pretty print
V = @
Q = $(V:y=)
QUIET_CC    = $(Q:@=@echo '   CC         '$@;)
QUIET_LINK  = $(Q:@=@echo '   LINK       '$@;)
QUIET_CLEAN = $(Q:@=@echo '   CLEAN      '$@;)

D = $(DESTDIR)

version := $(shell ./get-version)

plugin.o: | version.h

$(target): $(objects)
$(target): CFLAGS := $(CFLAGS) $(GOBJECT_CFLAGS) $(LIBXML_CFLAGS) \
	-D VERSION='"$(version)"' -D DISPLAY_VERSION='"$(version)"'
$(target): LIBS := $(LIBS) $(GOBJECT_LIBS) $(LIBXML_LIBS) -lm
$(target): LDFLAGS := -Wl,-soname,$(target).0 -Wl,--no-undefined

# ssl

plugin := libssl.$(SHLIBEXT)

$(plugin): plugins/ssl/ssl.o
$(plugin): CFLAGS := $(CFLAGS) $(GOBJECT_CFLAGS) -I. \
	-D DISPLAY_VERSION='"$(version)"'
$(plugin): LIBS := $(LIBS) $(GOBJECT_LIBS)

plugins += $(plugin)

plugin := libssl-nss.$(SHLIBEXT)

$(plugin): plugins/ssl/ssl-nss.o
$(plugin): CFLAGS := $(CFLAGS) $(GOBJECT_CFLAGS) $(NSS_CFLAGS) -I. \
	-D DISPLAY_VERSION='"$(version)"'
$(plugin): LIBS := $(LIBS) $(GOBJECT_LIBS) $(NSS_LIBS)

plugins += $(plugin)

all: $(target) $(plugins)

version.h: version.h.in
	./update-version

purple.pc: purple.pc.in
	sed -e 's#@prefix@#$(prefix)#g' \
		-e 's#@version@#$(version)#g' \
		-e 's#@cflags@#-I$${includedir}/lib$(module) -I$${includedir}/lib$(module)/libpurple#g' \
		-e 's#@module@#$(module)#g' \
		$< > $@

install: $(target) $(plugins) purple.pc
	# lib
	mkdir -p $(D)/$(libdir)
	install -m 755 $(target) $(D)/$(libdir)/$(target).0
	ln -sf $(target).0 $(D)/$(libdir)/$(target)
	# plugins
	mkdir -p $(D)/$(plugindir)
	install -m 755 $(plugins) $(D)/$(plugindir)
	# pkgconfig
	mkdir -p $(D)/$(libdir)/pkgconfig
	install -m 644 purple.pc $(D)/$(libdir)/pkgconfig/$(module).pc
	# includes
	mkdir -p $(D)/$(includedir)/libpurple
	install -m 644 $(headers) $(D)/$(includedir)/libpurple
	install -m 644 purple-client.h $(D)/$(includedir)/libpurple/purple.h

uninstall:
	$(RM) $(D)/$(libdir)/$(target)*
	$(RM) -r $(D)/$(plugindir)
	$(RM) $(D)/$(libdir)/pkgconfig/purple.pc
	$(RM) -r $(D)/$(includedir)/libpurple

%.o:: %.c
	$(QUIET_CC)$(CC) $(CFLAGS) -MMD -o $@ -c $<

%.so %.dll::
	$(QUIET_LINK)$(CC) $(LDFLAGS) -shared -o $@ $^ $(LIBS)

clean:
	$(QUIET_CLEAN)$(RM) $(target) $(plugins)
	$(QUIET_CLEAN)find -name '*.[od]' | xargs rm -f

-include *.d plugins/ssl/*.d

=== tp-extras/Makefile ===
CC := $(CROSS_COMPILE)gcc

ACCOUNTS_CFLAGS := $(shell pkg-config --cflags rtcom-accounts-widgets)
ACCOUNTS_LIBS := $(shell pkg-config --libs rtcom-accounts-widgets)

GLADE_CFLAGS := $(shell pkg-config --cflags libglade-2.0)
GLADE_LIBS := $(shell pkg-config --libs libglade-2.0)

LONGCAT_CFLAGS := $(ACCOUNTS_CFLAGS) -I./src
LONGCAT_LIBS := $(ACCOUNTS_LIBS) -llongcat-pn -L.

CFLAGS := -O2 -ggdb -Wall

prefix := /usr

datadir := $(prefix)/share
libdir := $(prefix)/lib
plugindir := $(prefix)/lib/libaccounts-plugins

.PHONY: all clean

all:

# pretty print
V = @
Q = $(V:y=)
QUIET_CC    = $(Q:@=@echo '   CC         '$@;)
QUIET_LINK  = $(Q:@=@echo '   LINK       '$@;)
QUIET_CLEAN = $(Q:@=@echo '   CLEAN      '$@;)

D = $(DESTDIR)

target := liblongcat-pn.so
plugins :=

$(target): longcat.o
$(target): CFLAGS := $(CFLAGS) $(ACCOUNTS_CFLAGS) $(GLADE_CFLAGS) \
	-DGETTEXT_PACKAGE='"osso-applet-accounts"' -DPLUGIN_XML_DIR='"$(plugindir)/xml"'
$(target): LIBS := $(LIBS) $(ACCOUNTS_LIBS) $(GLADE_LIBS)
$(target): LDFLAGS := -Wl,--no-undefined

# ssl

plugin := libpecan-plugin.so

$(plugin): haze-plugin.o
$(plugin): CFLAGS := $(CFLAGS) $(LONGCAT_CFLAGS) \
	-DGETTEXT_PACKAGE='"osso-applet-accounts"'
$(plugin): LIBS := $(LIBS) $(LONGCAT_LIBS)
$(plugin): LDFLAGS := -Wl,--no-undefined -Wl,-rpath=$(plugindir)

plugins += $(plugin)

all: $(target) $(plugins)

install: $(target) $(plugins)
	# lib
	mkdir -p $(D)/$(plugindir)
	install -m 755 $(target) $(D)/$(plugindir)/$(target)
	# plugins
	mkdir -p $(D)/$(plugindir)
	install -m 755 $(plugins) $(D)/$(plugindir)
	# data
	mkdir -p $(D)/$(datadir)/osso-rtcom
	install -m 644 data/msn-pecan.profile $(D)/$(datadir)/osso-rtcom
	mkdir -p $(D)/$(datadir)/icons/hicolor/48x48/hildon
	install -m 644 data/im-msn-haze.png $(D)/$(datadir)/icons/hicolor/48x48/hildon/im-msn-pecan.png
	mkdir -p $(D)/$(plugindir)/xml
	install -m 644 data/longcat-advanced.glade $(D)/$(plugindir)/xml/longcat-pn-advanced.glade

%.o:: %.c
	$(QUIET_CC)$(CC) $(CFLAGS) -MMD -o $@ -c $<

%.so::
	$(QUIET_LINK)$(CC) $(LDFLAGS) -shared -o $@ $^ $(LIBS)

clean:
	$(QUIET_CLEAN)$(RM) $(target) $(plugins) *.o *.d

-include *.d

=== debian/changelog ===
telepathy-msn-pecan (0.1.0~rc2-0maemo6) fremantle; urgency=low

  * Use maemo-optify
  * Fix architecture
  * Fix personal messages
  * Fix nickname setting

 -- Felipe Contreras <felipe.contreras@gmail.com>  Fri, 15 Jan 2010 02:52:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Priority: optional
 Maintainer: Felipe Contreras <felipe.contreras@gmail.com>
 Build-Depends: debhelper (>= 5), librtcom-accounts-widgets-dev,
- libglade2-dev, libnss3-dev
+ libglade2-dev, libnss3-dev, maemo-optify
 Standards-Version: 3.8.0
 XSBC-Bugtracker: http://code.google.com/p/msn-pecan/issues/
 
 Package: telepathy-msn-pecan
-Architecture: armel
+Architecture: any
 Section: user/network
 Depends: ${shlibs:Depends}
 Description: MSN protocol plug-in that uses msn-pecan
@@ -65,6 +65,6 @@
 
 Package: telepathy-msn-pecan-dbg
 Section: debug
-Architecture: armel
+Architecture: any
 Depends: telepathy-msn-pecan (= ${binary:Version})
 Description: Debugging symbols for telepathy-msn-pecan

## telepathy-msn-pecan 0.1.0~rc3-0maemo1

=== debian/changelog ===
telepathy-msn-pecan (0.1.0~rc3-0maemo1) fremantle; urgency=low

  * Update to latest msn-pecan
  * Set dependencies manually

 -- Felipe Contreras <felipe.contreras@nokia.com>  Thu, 28 Jan 2010 04:37:21 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
 Package: telepathy-msn-pecan
 Architecture: any
 Section: user/network
-Depends: ${shlibs:Depends}
+Depends: ${misc:Depends}, libtelepathy-glib0, libnss3, libnss3-certs,
+ libglade2-0, librtcom-accounts-widgets0
 Description: MSN protocol plug-in that uses msn-pecan
 XB-Maemo-Display-Name: MSN (pecan) protocol plug-in
 XB-Maemo-Icon-26:

## telepathy-msn-pecan 0.1.0~rc3-0maemo2

=== debian/changelog ===
telepathy-msn-pecan (0.1.0~rc3-0maemo2) fremantle; urgency=low

  * Fix crash related to offline messages
  * Fix nickname reset
  * Fix for emtpy offline messages
  * Initialize proxy properly
  * Install TLS certs for offline messages servers

 -- Felipe Contreras <felipe.contreras@gmail.com>  Thu, 04 Feb 2010 02:19:03 +0200

## telepathy-msn-pecan 0.1.0~rc4-0maemo1

=== debian/changelog ===
telepathy-msn-pecan (0.1.0~rc4-0maemo1) fremantle; urgency=low

  * Ton of fixes from msn-pecan
  * Update to latest msn-pecan
  * Improve proxy support
  * Fix a bunch of crashes

 -- Felipe Contreras <felipe.contreras@gmail.com>  Wed, 10 Feb 2010 23:36:48 +0200

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify
 	dh_md5sums
 	dh_builddeb

## telepathy-msn-pecan 0.1.0~rc4-0maemo2

=== debian/changelog ===
telepathy-msn-pecan (0.1.0~rc4-0maemo2) fremantle; urgency=low

  * Fix a few invalid memory accesses

 -- Felipe Contreras <felipe.contreras@gmail.com>  Thu, 11 Feb 2010 22:56:29 +0200

## telepathy-msn-pecan 0.1.0-0maemo1

=== debian/changelog ===
telepathy-msn-pecan (0.1.0-0maemo1) fremantle; urgency=high

  * Update to msn-pecan 0.1.0 (final)
  * Fix open conversation regression

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sat, 27 Feb 2010 18:53:44 +0200

=== debian/rules ===
#!/usr/bin/make -f

build:
	dh_testdir
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/msn-pecan install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_strip --dbg-package=telepathy-msn-pecan-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## telepathy-msn-pecan 0.1.0-0maemo2

=== debian/changelog ===
telepathy-msn-pecan (0.1.0-0maemo2) fremantle; urgency=low

  * Fix build regression

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sat, 27 Feb 2010 21:31:55 +0200

## telepathy-msn-pecan 0.1.0-0maemo3

=== purple/Makefile ===
--- 
+++ 
@@ -30,6 +30,7 @@
 
 ifneq ($(PLATFORM),mingw32)
 override CFLAGS += -DBR_PTHREADS=0 \
+	-DMODULE=\"$(module)\" \
 	-DDATADIR=\"$(datadir)\" \
 	-DLIBDIR=\"$(plugindir)\" \
 	-DLOCALEDIR=\"$(datadir)/locale\" \

=== tp-haze/Makefile ===
--- 
+++ 
@@ -74,6 +74,8 @@
 install: $(app) data/$(service)
 	mkdir -p $(D)/$(datadir)/dbus-1/services
 	install -m 664 data/$(service) $(D)/$(datadir)/dbus-1/services
+	mkdir -p $(D)/$(datadir)/telepathy/managers
+	install -m 644 data/pecan.manager $(D)/$(datadir)/telepathy/managers
 	mkdir -p $(D)/$(libexecdir)
 	install -m 755 $(app) $(D)/$(libexecdir)

=== debian/changelog ===
telepathy-msn-pecan (0.1.0-0maemo3) fremantle; urgency=high

  * Fix constant oim auth on daylight savings time; was causing high resource
    usage and preventing oims to work

 -- Felipe Contreras <felipe.contreras@nokia.com>  Sun, 23 May 2010 22:08:07 +0300

## telepathy-msn-pecan 0.1.0-0maemo4

=== pecan/Makefile ===
CC := $(CROSS_COMPILE)gcc
WINDRES := $(CROSS_COMPILE)windres

XGETTEXT := xgettext
MSGFMT := msgfmt

PLATFORM := $(shell $(CC) -dumpmachine | cut -f 3 -d -)

PURPLE_CFLAGS := $(shell pkg-config --cflags purple-mini-2)
PURPLE_LIBS := $(shell pkg-config --libs purple-mini-2)
PURPLE_LIBDIR := $(shell pkg-config --variable=libdir purple-mini-2)
PURPLE_DATADIR := $(shell pkg-config --variable=datadir purple-mini-2)
PURPLE_PLUGINDIR := $(PURPLE_LIBDIR)/purple-mini-2

GIO_CFLAGS := $(shell pkg-config --cflags gio-2.0)
GIO_LIBS := $(shell pkg-config --libs gio-2.0)

# default configuration options
CVR := y
DEBUG := y

CFLAGS := -O2

ifdef DEBUG
  CFLAGS += -ggdb
endif

ifdef DEVEL
  CFLAGS += -DPECAN_DEVEL
endif

EXTRA_WARNINGS := -Wall -Wextra -Wformat-nonliteral -Wcast-align -Wpointer-arith \
	-Wbad-function-cast -Wmissing-prototypes -Wstrict-prototypes \
	-Wmissing-declarations -Winline -Wundef -Wnested-externs -Wcast-qual \
	-Wshadow -Wwrite-strings -Wno-unused-parameter -Wfloat-equal -ansi -std=c99

SIMPLE_WARNINGS := -Wextra -ansi -std=c99 -Wno-unused-parameter

OTHER_WARNINGS := -D_FORTIFY_SOURCE=2 -fstack-protector -g3 -Wdisabled-optimization \
	-Wendif-labels -Wformat=2 -Wstack-protector -Wswitch

CFLAGS += -Wall # $(EXTRA_WARNINGS)

override CFLAGS += -D_XOPEN_SOURCE
override CFLAGS += -I. -DENABLE_NLS -DHAVE_LIBPURPLE -DPURPLE_DEBUG

ifdef CVR
  override CFLAGS += -DPECAN_CVR
endif

ifndef DO_NOT_USE_PSM
  override CFLAGS += -DPECAN_USE_PSM
endif

ifdef LIBSIREN
  override CFLAGS += -DPECAN_LIBSIREN
  LIBSIREN_LIBS := -lm
endif

ifdef LIBMSPACK
  override CFLAGS += -DPECAN_LIBMSPACK
  LIBMSPACK_LIBS := -lm
endif

ifdef PLUS_SOUNDS
  override CFLAGS += -DRECEIVE_PLUS_SOUNDS
endif

ifdef GIO
  override CFLAGS += -DUSE_GIO
endif

# extra debugging
override CFLAGS += -DPECAN_DEBUG_SLP

LDFLAGS := -Wl,--no-undefined

objects := msn.o \
	   nexus.o \
	   notification.o \
	   page.o \
	   session.o \
	   switchboard.o \
	   sync.o \
	   pn_log.o \
	   pn_printf.o \
	   pn_util.o \
	   pn_buffer.o \
	   pn_error.o \
	   pn_status.o \
	   pn_oim.o \
	   pn_dp_manager.o \
	   cmd/cmdproc.o \
	   cmd/command.o \
	   cmd/msg.o \
	   cmd/table.o \
	   cmd/transaction.o \
	   io/pn_parser.o \
	   ab/pn_group.o \
	   ab/pn_contact.o \
	   ab/pn_contactlist.o \
	   io/pn_stream.o \
	   io/pn_node.o \
	   io/pn_cmd_server.o \
	   io/pn_http_server.o \
	   io/pn_ssl_conn.o \
	   fix_purple.o

ifdef CVR
  objects += cvr/pn_peer_call.o \
	     cvr/pn_peer_link.o \
	     cvr/pn_peer_msg.o \
	     cvr/pn_msnobj.o
  objects += libpurple/xfer.o
endif

ifdef DIRECTCONN
  objects += cvr/pn_direct_conn.o
  override CFLAGS += -DMSN_DIRECTCONN
endif

ifdef LIBSIREN
  objects += ext/libsiren/common.o \
	     ext/libsiren/dct4.o \
	     ext/libsiren/decoder.o \
	     ext/libsiren/huffman.o \
	     ext/libsiren/rmlt.o \
	     pn_siren7.o
endif

ifdef LIBMSPACK
  objects += ext/libmspack/cabd.o \
	     ext/libmspack/mszipd.o \
	     ext/libmspack/lzxd.o \
	     ext/libmspack/qtmd.o \
	     ext/libmspack/system.o
endif

sources := $(objects:.o=.c)
deps := $(objects:.o=.d)

PO_TEMPLATE := po/messages.pot
CATALOGS := ar da de eo es fi fr tr hu it nb nl pt_BR pt sr sv tr zh_CN zh_TW

ifeq ($(PLATFORM),darwin)
  SHLIBEXT := dylib
else
ifeq ($(PLATFORM),mingw32)
  SHLIBEXT := dll
  LDFLAGS += -Wl,--enable-auto-image-base -L./win32
  objects += win32/resource.res
else
  SHLIBEXT := so
endif
endif

ifdef STATIC
  plugin := libmsn-pecan.a
  override CFLAGS += -DPURPLE_STATIC_PRPL
else
  plugin := libmsn-pecan.$(SHLIBEXT)
ifneq ($(PLATFORM),mingw32)
  override CFLAGS += -fPIC
endif
endif

.PHONY: clean

all: $(plugin)

version := $(shell ./get-version)

# pretty print
V = @
Q = $(V:y=)
QUIET_CC    = $(Q:@=@echo '   CC         '$@;)
QUIET_LINK  = $(Q:@=@echo '   LINK       '$@;)
QUIET_CLEAN = $(Q:@=@echo '   CLEAN      '$@;)
QUIET_MO    = $(Q:@=@echo '   MSGFMT     '$@;)
QUIET_WR    = $(Q:@=@echo '   WINDRES    '$@;)

D = $(DESTDIR)

plugin_libs := $(PURPLE_LIBS) $(GIO_LIBS)

ifdef LIBSIREN
  plugin_libs += $(LIBSIREN_LIBS)
endif

ifdef LIBMSPACK
  plugin_libs += $(LIBMSPACK_LIBS)
endif

$(plugin): $(objects)
$(plugin): CFLAGS := $(CFLAGS) $(PURPLE_CFLAGS) $(GIO_CFLAGS) $(FALLBACK_CFLAGS) -D VERSION='"$(version)"'
$(plugin): LIBS := $(plugin_libs)

messages.pot: $(sources)
	$(XGETTEXT) -kmc --keyword=_ --keyword=N_ -o $@ $(sources)

%.dylib::
	$(QUIET_LINK)$(CC) $(LDFLAGS) -dynamiclib -o $@ $^ $(LIBS)

%.so %.dll::
	$(QUIET_LINK)$(CC) $(LDFLAGS) -shared -o $@ $^ $(LIBS)

%.a::
	$(QUIET_LINK)$(AR) rcs $@ $^

%.o:: %.c
	$(QUIET_CC)$(CC) $(CFLAGS) -MMD -o $@ -c $<

%.res:: %.rc
	$(QUIET_WR)$(WINDRES) $< -O coff -o $@

clean:
	$(QUIET_CLEAN)$(RM) $(plugin) $(objects) $(deps) `find -name '*.mo'`

%.mo:: %.po
	$(QUIET_MO)$(MSGFMT) -c -o $@ $<

dist: base := msn-pecan-$(version)
dist:
	git archive --format=tar --prefix=$(base)/ HEAD > /tmp/$(base).tar
	mkdir -p $(base)
	git-changelog > $(base)/ChangeLog
	chmod 664 $(base)/ChangeLog
	tar --append -f /tmp/$(base).tar --owner root --group root $(base)/ChangeLog
	echo $(version) > $(base)/.version
	chmod 664 $(base)/.version
	tar --append -f /tmp/$(base).tar --owner root --group root $(base)/.version
	rm -r $(base)
	bzip2 /tmp/$(base).tar

install: $(plugin)
	mkdir -p $(D)/$(PURPLE_PLUGINDIR)
	install $(plugin) $(D)/$(PURPLE_PLUGINDIR)
	# chcon -t textrel_shlib_t $(D)/$(PURPLE_PLUGINDIR)/$(plugin) # for selinux

uninstall:
	rm -f $(D)/$(PURPLE_PLUGINDIR)/$(plugin)
	for x in $(CATALOGS); do \
	rm -f $(D)/$(PURPLE_DATADIR)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
	done

install_locales: $(foreach e,$(CATALOGS),po/$(e).mo)
	for x in $(CATALOGS); do \
	install -D po/$$x.mo $(D)/$(PURPLE_DATADIR)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
	done

-include $(deps)

=== tp-extras/Makefile ===
--- 
+++ 
@@ -66,7 +66,7 @@
 	mkdir -p $(D)/$(datadir)/icons/hicolor/48x48/hildon
 	install -m 644 data/im-msn-haze.png $(D)/$(datadir)/icons/hicolor/48x48/hildon/im-msn-pecan.png
 	mkdir -p $(D)/$(plugindir)/xml
-	install -m 644 data/longcat-advanced.glade $(D)/$(plugindir)/xml/longcat-pn-advanced.glade
+	install -m 644 data/longcat-advanced-1.glade $(D)/$(plugindir)/xml/longcat-pn-advanced-1.glade
 
 %.o:: %.c
 	$(QUIET_CC)$(CC) $(CFLAGS) -MMD -o $@ -c $<

=== tp-haze/Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 
 objects := connection-aliasing.o \
            connection-avatars.o \
+           connection-capabilities.o \
            connection.o \
            connection-presence.o \
            connection-manager.o \

=== debian/changelog ===
telepathy-msn-pecan (0.1.0-0maemo4) fremantle; urgency=low

  * Update internal telepathy-haze to v0.3.4
  * Update internal telepathy-extras to v0.8
  * Woraround for "New IM" bug; backporting capabilities interface from
    telepathy-haze

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sat, 12 Jun 2010 17:26:33 +0300

=== debian/control ===
--- 
+++ 
@@ -63,6 +63,7 @@
  GBmPo5mXxlzPeCAC39JbpFvdIboGRF7ihIH91oZtG6zNADhO717OGJCxMGegxgifkPkLBjgHZHRO
  SCP3oy6MOIssEysLOcvufR/DI015EYhzQQoADM75eT/ffWh/aEaAhHOcjbmO1jbnCndGhNsAnGLD
  pOR7Z/oX0we1j/1v1k8AZto+9gD/AxuCf3/EH1fzAAAAAElFTkSuQmCC
+XB-Maemo-Upgrade-Description: Workaround "New IM" bug.
 
 Package: telepathy-msn-pecan-dbg
 Section: debug

## telepathy-msn-pecan 0.1.2

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,8 @@
 	for x in $(modules); do \
 		$(MAKE) -C $$x $@; \
 	done
+	mkdir -p $(DESTDIR)/$(prefix)/share/purple-mini-2/ca-certs
+	install -m 644 certs/* $(DESTDIR)/$(prefix)/share/purple-mini-2/ca-certs
 
 .PHONY: $(targets) clean

=== pecan/Makefile ===
--- 
+++ 
@@ -21,25 +21,25 @@
 
 CFLAGS := -O2
 
-ifdef DEBUG
-  CFLAGS += -ggdb
-endif
-
-ifdef DEVEL
-  CFLAGS += -DPECAN_DEVEL
-endif
-
 EXTRA_WARNINGS := -Wall -Wextra -Wformat-nonliteral -Wcast-align -Wpointer-arith \
 	-Wbad-function-cast -Wmissing-prototypes -Wstrict-prototypes \
 	-Wmissing-declarations -Winline -Wundef -Wnested-externs -Wcast-qual \
 	-Wshadow -Wwrite-strings -Wno-unused-parameter -Wfloat-equal -ansi -std=c99
 
-SIMPLE_WARNINGS := -Wextra -ansi -std=c99 -Wno-unused-parameter
+SIMPLE_WARNINGS := -Wall -Wextra -ansi -std=c99 -Wno-unused-parameter -Wmissing-prototypes
 
 OTHER_WARNINGS := -D_FORTIFY_SOURCE=2 -fstack-protector -g3 -Wdisabled-optimization \
 	-Wendif-labels -Wformat=2 -Wstack-protector -Wswitch
 
-CFLAGS += -Wall # $(EXTRA_WARNINGS)
+CFLAGS += -Wall $(SIMPLE_WARNINGS)
+
+ifdef DEBUG
+  override CFLAGS += -ggdb
+endif
+
+ifdef DEVEL
+  override CFLAGS += -DPECAN_DEVEL
+endif
 
 override CFLAGS += -D_XOPEN_SOURCE
 override CFLAGS += -I. -DENABLE_NLS -DHAVE_LIBPURPLE -DPURPLE_DEBUG
@@ -90,6 +90,7 @@
 	   pn_status.o \
 	   pn_oim.o \
 	   pn_dp_manager.o \
+	   pn_auth.o \
 	   cmd/cmdproc.o \
 	   cmd/command.o \
 	   cmd/msg.o \
@@ -116,6 +117,7 @@
 
 ifdef DIRECTCONN
   objects += cvr/pn_direct_conn.o
+  objects += io/pn_dc_conn.o
   override CFLAGS += -DMSN_DIRECTCONN
 endif
 
@@ -139,7 +141,6 @@
 sources := $(objects:.o=.c)
 deps := $(objects:.o=.d)
 
-PO_TEMPLATE := po/messages.pot
 CATALOGS := ar da de eo es fi fr tr hu it nb nl pt_BR pt sr sv tr zh_CN zh_TW
 
 ifeq ($(PLATFORM),darwin)
@@ -155,15 +156,16 @@
 endif
 
 ifdef STATIC
-  plugin := libmsn-pecan.a
-  override CFLAGS += -DPURPLE_STATIC_PRPL
+  SHLIBEXT := a
+  override CFLAGS += -DSTATIC_PECAN
 else
-  plugin := libmsn-pecan.$(SHLIBEXT)
 ifneq ($(PLATFORM),mingw32)
   override CFLAGS += -fPIC
 endif
 endif
 
+plugin := libmsn-pecan.$(SHLIBEXT)
+
 .PHONY: clean
 
 all: $(plugin)
@@ -171,13 +173,13 @@
 version := $(shell ./get-version)
 
 # pretty print
-V = @
-Q = $(V:y=)
-QUIET_CC    = $(Q:@=@echo '   CC         '$@;)
-QUIET_LINK  = $(Q:@=@echo '   LINK       '$@;)
-QUIET_CLEAN = $(Q:@=@echo '   CLEAN      '$@;)
-QUIET_MO    = $(Q:@=@echo '   MSGFMT     '$@;)
-QUIET_WR    = $(Q:@=@echo '   WINDRES    '$@;)
+ifndef V
+QUIET_CC    = @echo '   CC         '$@;
+QUIET_LINK  = @echo '   LINK       '$@;
+QUIET_CLEAN = @echo '   CLEAN      '$@;
+QUIET_MO    = @echo '   MSGFMT     '$@;
+QUIET_WR    = @echo '   WINDRES    '$@;
+endif
 
 D = $(DESTDIR)
 
@@ -196,7 +198,7 @@
 $(plugin): LIBS := $(plugin_libs)
 
 messages.pot: $(sources)
-	$(XGETTEXT) -kmc --keyword=_ --keyword=N_ -o $@ $(sources)
+	$(XGETTEXT) -m -c --keyword --keyword=_ --keyword=N_ -o $@ $^
 
 %.dylib::
 	$(QUIET_LINK)$(CC) $(LDFLAGS) -dynamiclib -o $@ $^ $(LIBS)
@@ -233,8 +235,7 @@
 	bzip2 /tmp/$(base).tar
 
 install: $(plugin)
-	mkdir -p $(D)/$(PURPLE_PLUGINDIR)
-	install $(plugin) $(D)/$(PURPLE_PLUGINDIR)
+	install -D $(plugin) $(D)/$(PURPLE_PLUGINDIR)/$(plugin)
 	# chcon -t textrel_shlib_t $(D)/$(PURPLE_PLUGINDIR)/$(plugin) # for selinux
 
 uninstall:
@@ -243,9 +244,32 @@
 	rm -f $(D)/$(PURPLE_DATADIR)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
 	done
 
-install_locales: $(foreach e,$(CATALOGS),po/$(e).mo)
-	for x in $(CATALOGS); do \
-	install -D po/$$x.mo $(D)/$(PURPLE_DATADIR)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
-	done
+update_locales: messages.pot
+	for x in $(CATALOGS); do \
+	msgmerge -N -U --backup=off po/$$x.po $<; \
+	done
+
+locales: $(foreach e,$(CATALOGS),po/$(e).mo)
+
+install_locales: locales
+	for x in $(CATALOGS); do \
+	install -m 644 -D po/$$x.mo $(D)/$(PURPLE_DATADIR)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
+	done
+
+win32-check:
+	test -f win32/libintl.dll.a
+
+win32: D := libmsn-pecan
+win32: win32-check $(plugin) locales
+	mkdir -p $(D)/plugins
+	cp $(plugin) libmsn-pecan-$(version)-dbg.dll
+	$(CROSS_COMPILE)strip $(plugin)
+	cp $(plugin) $(D)/plugins/
+	for x in $(CATALOGS); do \
+	mkdir -p $(D)/locale/$$x/LC_MESSAGES/; \
+	cp po/$$x.mo $(D)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
+	done
+	cp COPYING $(D)
+	tar -cf /tmp/libmsn-pecan.tar $(D)
 
 -include $(deps)

=== debian/changelog ===
telepathy-msn-pecan (0.1.2) fremantle; urgency=low

  * Update msn-pecan to v0.1.2

 -- Maemo Multimedia <multimedia@maemo.org>  Sat, 30 Apr 2011 19:45:12 +0300

=== debian/control ===
--- 
+++ 
@@ -63,7 +63,7 @@
  GBmPo5mXxlzPeCAC39JbpFvdIboGRF7ihIH91oZtG6zNADhO717OGJCxMGegxgifkPkLBjgHZHRO
  SCP3oy6MOIssEysLOcvufR/DI015EYhzQQoADM75eT/ffWh/aEaAhHOcjbmO1jbnCndGhNsAnGLD
  pOR7Z/oX0we1j/1v1k8AZto+9gD/AxuCf3/EH1fzAAAAAElFTkSuQmCC
-XB-Maemo-Upgrade-Description: Workaround "New IM" bug.
+XB-Maemo-Upgrade-Description: Fix authorization.
 
 Package: telepathy-msn-pecan-dbg
 Section: debug

=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,14 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	$(MAKE) DESTDIR=$(CURDIR)/debian/msn-pecan install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 
 binary-indep: build install
 
 binary-arch: build install
 	dh_testdir
 	dh_testroot
+	dh_install --sourcedir=debian/tmp
 	dh_strip --dbg-package=telepathy-msn-pecan-dbg
 	dh_compress
 	dh_fixperms
